Pre-release — content may change.

Search

Search organizations

GET
/search/organizations

Full-text search over organizations. Accepts JSON:API-style filter, sort, and page parameters and returns a paginated list of search_hit_organizations resources. Also routed for POST with the same parameters in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

filter?

Search and filter criteria passed to the organization search index (includes the search term and structured field filters).

sort?string

Comma-separated list of attributes to sort by. Prefix with - for descending order (-created_at,family_name).

page?

Offset pagination parameters.

fields[search_hit_organizations]?array<string>

Sparse-fieldset selection. Entries prefixed with organization. (e.g. organization.legal_name) limit the nested organization fields fetched from the search index; organization selects the whole nested organization.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/search/organizations"
{  "data": [    {      "type": "search_hit_organizations",      "id": "string",      "attributes": {        "score": 0,        "sort_fields": [          null        ],        "organization": {}      },      "links": {        "self": "../dictionary"      }    }  ],  "meta": {    "page": {      "total_items": 0,      "total_pages": 0,      "number": 0,      "size": 0    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}